using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("变化类型表")]
    public class T_PR_CHANGE_IDENTIFY_EVALUATION_TYPE : MesEntityBase
    {
        [Description("变化识别评估表")]
        [DataFieldForeignKey("Nav_Change", "Nav_Types")]
        public Guid CHANGE_IDENTIFY_EVALUATION_ID { get; set; }

        [Description("变化识别评估表")]
        public virtual T_PR_CHANGE_IDENTIFY_EVALUATION Nav_Change { get; set; }

        [Description("变化类型表")]
        [DataFieldForeignKey("Nav_Type")]
        public Guid? TYPE_ID { get; set; }

        [Description("变化类型表")]
        public virtual T_PR_CHANGE_TYPE Nav_Type { get; set; }
    }
}
